/* #region WP Plugin : Cookie */
.cky-consent-container {
	width: 36.8rem !important;
	max-width: calc(50vw - (max(var(--spacing-stack--sm), var(--spacing-container)) * 2)) !important;
	padding: 0 !important;
	margin: 0 auto !important;
	position: fixed !important;
	z-index: 99 !important;
	top: auto !important;
	left: auto !important;
	bottom: min(var(--spacing-stack--sm), var(--spacing-container)) !important;
	right: min(var(--spacing-stack--sm), var(--spacing-container)) !important;
	background: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.cky-consent-container .cky-consent-bar {
	--color-background: var(--color-black);
	--color-base: var(--color-white);

	position: relative !important;
	z-index: 1 !important;
	margin: 0 !important;
	display: flex !important;
	align-items: flex-start !important;
	justify-content: flex-start !important;
	text-align: left !important;
	width: auto !important;
	max-width: 100% !important;
	min-width: 0 !important;
	min-height: 0 !important;
	padding: var(--spacing-md) min(var(--spacing-md), var(--spacing-container)) !important;
	font-family: var(--font-base) !important;
	font-style: var(--font-base-style) !important;
	font-weight: var(--font-base-weight) !important;
	font-size: var(--font-base-size--sm) !important;
	line-height: var(--font-base-line-height) !important;
	letter-spacing: var(--font-base-letter-spacing) !important;
	text-transform: var(--font-base-text-transform) !important;
	color: rgba(var(--color-base), 1) !important;
	background: rgba(var(--color-background), 1) !important;
	box-shadow: none !important;
	border: 0px !important;
	border-radius: var(--border-radius--sm) !important;
	overflow: hidden !important;
	transition: var(--duration) var(--easing) !important;
}
.cky-notice {
	display: flex;
	flex-direction: column;
	grid-gap: var(--spacing-content);
}
.cky-notice .cky-title,
.cky-notice-group,
.cky-notice-des,
.cky-notice-des * {
	font-family: inherit !important;
	font-weight: inherit !important;
	font-style: inherit !important;
	font-size: inherit !important;
	line-height: inherit !important;
	text-transform: inherit !important;
	letter-spacing: inherit !important;
	color: inherit !important;
}
.cky-notice .cky-title {
	margin: 0 !important;
	font-family: var(--font-heading) !important;
	font-weight: var(--font-heading-weight) !important;
	font-size: var(--font-base-size) !important;
	line-height: var(--font-heading-line-height) !important;
	text-transform: var(--font-heading-text-transform) !important;
	letter-spacing: var(--font-heading-letter-spacing) !important;
	color: inherit !important;
	text-box-trim: trim-both;
	text-box-edge: cap alphabetic;
}
.cky-notice .cky-title:empty {
	display: none !important;
}
.cky-notice-group {
	display: flex !important;
	flex-direction: row !important;
	flex-wrap: wrap !important;
	align-items: baseline !important;
	justify-content: flex-start !important;
	grid-gap: var(--spacing-content--sm) !important;
}
.cky-notice-group > * {
	width: auto !important;
}
.cky-notice-des .cky-policy {
	outline: 0 !important;
	padding: 0 !important;
	display: inline !important;
	font-size: inherit !important;
	text-decoration: none !important;
	white-space: nowrap !important;
	cursor: pointer !important;
	color: currentColor !important;
	opacity: 1 !important;
	border: 0 !important;
	border-radius: 0 !important;
	box-shadow: var(--link-underline) !important;
	transition: var(--duration) var(--easing) !important;
}
.cky-notice-des .cky-policy:hover {
	opacity: var(--opacity) !important;
}
.cky-notice-btn-wrapper {
	width: 100% !important;
	max-width: 100% !important;
	margin: 0 !important;
	display: flex !important;
	flex-direction: row !important;
	flex-wrap: wrap !important;
	align-items: center !important;
	justify-content: flex-start !important;
	grid-gap: var(--spacing-inline--sm) var(--spacing-inline) !important;
}
.cky-notice-btn-wrapper .cky-btn {
	--button-color-background: transparent;
	--button-color-border: transparent;
	--button-color-text: rgba(var(--color-base), 1);
	--button-color-background--hover: transparent;
	--button-color-border--hover: transparent;
	--button-color-text--hover: rgba(var(--color-base), var(--opacity));

	--font-button-size: var(--font-base-size--sm);

	flex: unset !important;
	text-decoration: none !important;
	box-shadow: none !important;
	margin: 0 !important;
	position: relative !important;
	z-index: 1 !important;
	display: inline !important;
	text-align: center !important;
	vertical-align: top !important;
	white-space: nowrap !important;
	width: auto !important;
	min-width: 0 !important;
	max-width: none !important;
	height: auto !important;
	min-height: 0 !important;
	max-height: none !important;
	padding: 0 !important;
	border: 0 !important;
	border-radius: 0 !important;
	background: none !important;
	color: var(--button-color-text) !important;
	font-family: var(--font-button) !important;
	font-style: var(--font-button-style) !important;
	font-weight: var(--font-button-weight) !important;
	font-size: var(--font-button-size) !important;
	line-height: var(--font-button-line-height) !important;
	text-transform: var(--font-button-text-transform) !important;
	letter-spacing: var(--font-button-letter-spacing) !important;
	opacity: 1 !important;
	overflow: visible !important;
	transition: var(--duration) var(--easing) !important;

	text-box-trim: trim-both;
	text-box-edge: cap alphabetic;
}
.cky-notice-btn-wrapper .cky-btn:hover {
	opacity: var(--opacity) !important;
}

.cky-notice-btn-wrapper .cky-btn-accept {
	order: 0;
}
.cky-notice-btn-wrapper .cky-btn-reject {
	order: 1;
}
.cky-notice-btn-wrapper .cky-btn-customize {
	order: 2;
	margin-left: auto !important;
}

@media (max-width: 767px) {
	.cky-consent-container {
		width: calc(100vw - (var(--spacing-container) * 2)) !important;
		max-width: calc(100vw - (var(--spacing-container) * 2)) !important;
	}
	.cky-consent-container .cky-consent-bar {
		padding: var(--spacing-block) var(--spacing-container) !important;
	}
}
/* #endregion WP Plugin : Cookie */

/* #region WP Plugin : Form */
.wpcf7-form .wpcf7-form-control-wrap {
	position: relative;
	display: block;
	width: 100%;
}
.wpcf7-form .wpcf7-not-valid-tip {
	display: block;
	font-weight: inherit;
	font-size: var(--font-base-size--sm);
	color: red;
}
.wpcf7-form .wpcf7-form-control-wrap .wpcf7-not-valid-tip {
	margin-top: var(--spacing-2xs);
}
.wpcf7-form .wpcf7-response-output {
	margin: var(--spacing-2xs) 0 0 !important;
	padding: 0 !important;
	border: 0 !important;
}
.wpcf7-form .ajax-loader {
	display: block;
	margin: 0 auto;
	left: 0;
	right: auto;
	top: calc(100% + var(--spacing-2xs));
}
.wpcf7-form .align-center .ajax-loader {
	left: 0;
	right: 0;
}
.wpcf7-form .wpcf7-list-item {
	margin-left: 0 !important;
}
form.wpcf7-form.submitting {
	cursor: progress;
}
form.wpcf7-form.submitting button[type="submit"] {
	pointer-events: none;
}
/* #endregion WP Plugin : Form */

/* #region WP : Page Navigation */
.wp-pagenavi {
	--gap: clamp(var(--spacing-inline--sm), 2.2222222222vw, var(--spacing-inline));
	position: relative;
	margin: 0;
	padding: 0;
	width: 100%;
	max-width: 100%;
	background: none;
	color: inherit;
	border: 0;
	display: flex;
	align-items: center;
	text-align: center;
	grid-gap: var(--gap);
	font-family: var(--font-base);
	font-style: var(--font-base-style);
	font-weight: var(--font-base-weight);
	font-size: var(--font-size-lg);
	line-height: var(--font-base-line-height);
	letter-spacing: var(--font-base-letter-spacing);
	text-transform: uppercase;
	color: inherit;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.wp-pagenavi > span.pages {
	display: none;
}
.wp-pagenavi > * {
	margin: 0;
	padding: 0;
	position: relative;
	width: auto;
	min-width: 0;
	height: auto;
	min-height: 0;
	overflow: visible;
	background: none;
	border: 0;
	border-radius: 0;
	opacity: 1;
}
.wp-pagenavi > *:is(:hover, .current) {
	opacity: 1;
	color: rgb(var(--color-accent));
}
.wp-pagenavi > :is(.previouspostslink, .nextpostslink) {
	flex: 1;
	margin: 0;
	padding: 0;
	border: 0;
	color: rgb(var(--color-accent));
	position: static;
	transform: none;
	display: flex;
	align-items: center;
	grid-gap: var(--gap);
}
.wp-pagenavi > .previouspostslink {
	text-align: left;
}
.wp-pagenavi > .nextpostslink {
	text-align: right;
	justify-content: flex-end;
}
.wp-pagenavi:not(:has(.previouspostslink))::before,
.wp-pagenavi:not(:has(.nextpostslink))::after {
	content: "";
	flex: 1;
}

@media (min-width: 992px) {
	.wp-pagenavi > .previouspostslink::after,
	.wp-pagenavi > .nextpostslink::before {
		flex: 1;
		content: "";
		height: var(--border-width);
		background-color: currentColor;
		opacity: 0.3;
	}
}
/* #endregion WP : Page Navigation */
